*     JLdL 26May06.
*     Copyright (C) 1999-2006 by Jorge L. deLyra.
*     Mail: <delyra@latt.if.usp.br>. Web: "http://latt.if.usp.br".
*     This program may be copied and/or distributed freely. See the
*     _ terms and conditions in the files in the doc/ subdirectory.
*     
*     This routine calls the routines bwidth_d5_[eo] to calculate the
*     _ sum of the dimensionful version of the momentum-space blocked
*     _ propagator over all the momentum modes on the torus, for a
*     _ given mass, a given even lattice size and a given blocking
*     _ ratio, in five dimensions, depending on the parity on nvert.
*     
      SUBROUTINE BWIDTH_D5 (nvert,amass,ratio,width)
*     
*     Double precision everything.
      implicit double precision (a-h,o-z)
*     
*     Determine the parity of nvert.
      ipar=nvert-2*(nvert/2)
*     
*     Call the appropriate routine with the appropriate argument.
      if (ipar.eq.0) then
         call bwidth_d5_e(nvert,amass,ratio,width)
      else
         call bwidth_d5_o(nvert,amass,ratio,width)
      end if
*     
      return
*     
      END
